/**
 * 延迟创建状态，直到满足某些条件。
 * @author 李岚清 <https://github.com/llq0802>
 * @param initialState 初始的state
 * @param condition 是否满足穿创建初始值的条件
 * @return
 */
declare const useDelayedState: <T = any>(initialState: T, condition: boolean) => [T, (newState: T) => void];
export default useDelayedState;
